%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define _default_patch_fuzz 2

Name:		kphotobymail
Version: 	0.4.1
Release:	14%{?dist}
Summary:	A PyKDE based application for uploading photos to flickr account
Group:		Applications/Internet
# No version specified.
License:	GPL+
URL:		http://kphotobymail.sourceforge.net/
Source: 	http://dl.sourceforge.net/sourceforge/kphotobymail/kphotobymail-%{version}.tar.gz

BuildRequires: python-devel

BuildArch: 	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils python >= 2.4, PyQt >= 3.15, PyKDE >= 3.16
Requires:	python >= 2.4, PyQt >= 3.15, PyKDE >= 3.16

%description
Kphotobymail is a PyKDE based application for uploading photos 
to flickr account.You can also use it to send emails with photo 
attachment on the fly.

%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
	--vendor fedora				\
%endif
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications		\
	--add-category X-Fedora					\
	--add-category Application				\
	--delete-original					\
	${RPM_BUILD_ROOT}%{_datadir}/applications/kphotobymail.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc docs/COPYING docs/LICENSE docs/README docs/ChangeLog
%{_bindir}/kphotobymail
%dir %{python_sitelib}/Kphotobymail
%{python_sitelib}/Kphotobymail/*.py
%{python_sitelib}/Kphotobymail/*.pyc
%{python_sitelib}/kphotobymail-0.4.1-py?.?.egg-info
%ghost %{python_sitelib}/Kphotobymail/*.pyo
%dir %{_datadir}/kphotobymail
%{_datadir}/kphotobymail/*
#No need to keep the previous kphotobymail.data
%config  /etc/kphotobymail.data
%{_datadir}/pixmaps/kphotobymail.png
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-kphotobymail.desktop
%else
%{_datadir}/applications/kphotobymail.desktop
%endif

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.4.1-13
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4.1-5
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4.1-4
- Rebuild for Python 2.6

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.1-3
- fix license tag

* Fri Jul 18 2008 Steven M. Parrish <tuxbrewr@fedoraproject.org> 0.4.1-2
- Fixed unpackaged file causing build errors
 
* Thu Jan 04 2007 Kushal Das <kushal@fedoraproject.org> 0.4.1-1
- New release 0.4.1

* Tue Dec 12 2006 Kushal Das <kushal@fedoraproject.org> 0.4-3
- Fixing for python 2.5

* Tue Dec 12 2006 Kushal Das <kushal@fedoraproject.org> 0.4-2
- Fixing for python 2.5

* Sat Oct 07 2006 Kushal Das <kushal@fedoraproject.org> 0.4-1
- new release

* Fri Sep 29 2006 Kushal Das <kushal@fedoraproject.org> 0.3.2-4
- spaces fixed, now having Tabs

* Fri Sep 29 2006 Kushal Das <kushal@fedoraproject.org> 0.3.2-3
- matched with UPSTREAM, BuildRequires also fixed

* Fri Sep 29 2006 Kushal Das <kushal@fedoraproject.org> 0.3.2-2
- added desktop-file-install

* Thu Sep 28 2006 Kushal Das <kushal@fedoraproject.org> 0.3.2-1
- Initial RPM release

